import type { Meta, StoryObj } from '@storybook/react';
import Pagination from './pagination';

const meta: Meta<typeof Pagination> = {
    title: 'Top-Level',
    component: Pagination,
    argTypes: {
        onChange:{action:"onChange"}
    }
}
export default meta;

type Story = StoryObj<typeof meta>;

export const pagination: Story = {
    args: {
        size: 7,
        currentPage:1,
    },
    render: (args) => (
        <div className='dark:bg-black min-h-full p-2'>
            <Pagination {...args} />
        </div>
    )
}