import type { Meta, StoryObj } from '@storybook/react';
import SearchBar from './SearchBar';

const meta: Meta<typeof SearchBar> = {
    title: 'Top-Level/Search',
    component: SearchBar,
    argTypes: {
        onSearch: {
            action: 'onSearch',
        }
    }
}
export default meta;

type Story = StoryObj<typeof meta>;

export const Search_: Story = {
    args: {
        placeholder:'Discover,news,articles and more'
    }
} 