import type { Meta, StoryObj } from '@storybook/react';
import BlogPage from './Blogpage';


const meta: Meta<typeof BlogPage> = {
    title: 'Top-Level',
    component: BlogPage,
}
export default meta;

type Story = StoryObj<typeof meta>;

export const Blog_page: Story = {
    args: {
        title: "Create an Art that shows the beauty in everyone’s ideas of flaws.",
        authorDetails: {
            author: "Charlotte mia",
            date: new Date('2015-1-01'),
            authorImg:''
        },
        category: 'fashion',
        readingTime: 1,
        content: "\n   ## How to create an Art that shows the beauty in everyone ideas of flaws.\n\n   Fusce faucibus ante vitae justo efficitur elementum. Donec et ipsum faucibus arcu ipsum elementum, luctus justo. ac purus semper. Fusce faucibus ante vitae justo efficitur sed et elementum. Donec ipsum faucibus arcu elementum, luctus justo. ac purus semper. Fusce faucibus ante vitae justo efficitur elementum. Donec ipsum faucibus arcu vitae justo efficitur elementum.\n\n   Fusce faucibus ante vitae justo efficitur elementum. Donec ipsum faucibus arcu elementum, luctus justo. ac purus semper. Fusce faucibus ante vitae justo efficitur elementum. Donec ipsum faucibus arcu elementum, luctus justo. ac purus semper.\"\n\n     \n> #### For dull and lifeless skin, mix apple juice with honey. Apply a thin layer to your face, and leave it for 5 minutes. \n> \n> — Kelvin Edison\n\n   Lorem faucibus fusce ante vitae justo efficitur elementum. Donec ipsum faucibus arcu elementum, luctus justo. ac purus semper. Fusce faucibus ante vitae justo efficitur elementum. Donec ipsum faucibus. Donec ipsum faucibus arcu elementum..\n\n   ## Fusce faucibus ante vitae justo efficitur\n\n   Lorem faucibus fusce ante vitae justo efficitur elementum. Donec ipsum faucibus arcu elementum, luctus justo. ac purus semper. Fusce faucibus ante vitae justo efficitur elementum. Donec ipsum faucibus. Donec ipsum faucibus arcu Donec ipsum faucibus arcu elementum, luctus justo. ac purus semper.\n\n   1. Quisque sagittis lacus eu lorem sodalesd enean adipiscing.\n   2. Donec ipsum faucibus arcu elementum, luctus justo.\n   3. Nam libero tempore, cum soluta nobis est eligendi optio.\n   4. Sed ut perspiciatis unde omnis natus\n\n   ## Quisque sagittis lacus eu lorem sodales\n\n   Lorem faucibus fusce ante vitae justo efficitur elementum. Donec ipsum faucibus arcu elementum, luctus justo. ac purus semper. Fusce faucibus ante vitae justo efficitur elementum. Donec ipsum faucibus. Donec ipsum faucibus arcu.\n\n   Fusce faucibus arcu faucibus ante vitae justo efficitur elementum. Donec ipsum faucibus. Donec ipsum faucibus arcu.",
        categories:[
  "Fashion",
  "Beauty"
        ],
        banner: {
    "img": "https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_640.jpg",
    "width": 1920,
    "height": 500
  }
    },
    render: (args) => (
        <div className='dark:bg-black dark:text-white px-2 py-4'>
            <BlogPage {...args} />
        </div>
    )
}