import type { Meta, StoryObj } from '@storybook/react';
import Navigation from './Navigation';

const meta: Meta<typeof Navigation> = {
    title: 'Layout/Header',
    component: Navigation,
    argTypes: {
        onSearch: {
            action: 'onSearch',
        },
        onChangeTheme: {
            action:'changeTheme',
        }
    }
}
export default meta;

type Story = StoryObj<typeof meta>;

export const Header_: Story = {
    args: { 
        isVisible:true,
     },
}